# Created by pyp2rpm-3.3.2
%global pypi_name testresources

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 3
Summary:        Testresources, a pyunit extension for managing expensive test resources
Group:          Development/Python
License:        None
URL:            https://launchpad.net/testresources
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(docutils)
BuildRequires:  python3dist(fixtures)
BuildRequires:  python3dist(pbr) >= 1.3
BuildRequires:  python3dist(pbr) >= 1.8
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(testtools)

%description
testresources: extensions to python unittest to allow declarative use of
resources by test cases.Copyright (C) 2005-2013 Robert Collins
<robertc@robertcollins.net> Licensed under either the Apache License, Version
2.0 or the BSD 3-clause license at the users choice. A copy of both licenses
are available in the project source as Apache-2.0 and BSD. You may not use this
file except in compliance...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(docutils)
Requires:       python3dist(fixtures)
Requires:       python3dist(pbr) >= 1.8
Requires:       python3dist(testtools)
%description -n python3-%{pypi_name}
testresources: extensions to python unittest to allow declarative use of
resources by test cases.Copyright (C) 2005-2013 Robert Collins
<robertc@robertcollins.net> Licensed under either the Apache License, Version
2.0 or the BSD 3-clause license at the users choice. A copy of both licenses
are available in the project source as Apache-2.0 and BSD. You may not use this
file except in compliance...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 2.0.1-3.mga8
+ Revision: 1532691
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 2.0.1-2.mga8
+ Revision: 1442609
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 2.0.1-1.mga7
+ Revision: 1353631
- pyp2rpm

